## python-pgmagick 0.3.6

=== src/Makefile ===
FLAGS = -Wall
INCS = -I/usr/include/python2.6 -I/usr/include/GraphicsMagick
SO = _pgmagick.so
LIBS = -lboost_python -lGraphicsMagick++
OBJS = _Blob.o \
       _ChannelType.o \
       _Color.o \
       _ColorspaceType.o \
       _CompositeOperator.o \
       _CompressionType.o \
       _Coordinate.o \
       _DecorationType.o \
       _Drawable.o \
       _DrawableAffine.o \
       _DrawableArc.o \
       _DrawableBezier.o \
       _DrawableCircle.o \
       _DrawableClipPath.o \
       _DrawableColor.o \
       _DrawableCompositeImage.o \
       _DrawableDashArray.o \
       _DrawableDashOffset.o \
       _DrawableEllipse.o \
       _DrawableFillColor.o \
       _DrawableFillOpacity.o \
       _DrawableFillRule.o \
       _DrawableFont.o \
       _DrawableGravity.o \
       _DrawableLine.o \
       _DrawableMatte.o \
       _DrawableMiterLimit.o \
       _DrawablePath.o \
       _DrawablePoint.o \
       _DrawablePointSize.o \
       _DrawablePolygon.o \
       _DrawablePolyline.o \
       _DrawablePopClipPath.o \
       _DrawablePopGraphicContext.o \
       _DrawablePopPattern.o \
       _DrawablePushClipPath.o \
       _DrawablePushGraphicContext.o \
       _DrawablePushPattern.o \
       _DrawableRectangle.o \
       _DrawableRotation.o \
       _DrawableRoundRectangle.o \
       _DrawableScaling.o \
       _DrawableSkewX.o \
       _DrawableSkewY.o \
       _DrawableStrokeAntialias.o \
       _DrawableStrokeColor.o \
       _DrawableStrokeLineCap.o \
       _DrawableStrokeLineJoin.o \
       _DrawableStrokeOpacity.o \
       _DrawableStrokeWidth.o \
       _DrawableText.o \
       _DrawableTextAntialias.o \
       _DrawableTextDecoration.o \
       _DrawableTextUnderColor.o \
       _DrawableTranslation.o \
       _DrawableViewbox.o \
       _Exception.o \
       _EndianType.o \
       _FillRule.o \
       _FilterTypes.o \
       _Geometry.o \
       _GravityType.o \
       _Image.o \
       _ImageType.o \
       _InterlaceType.o \
       _LineCap.o \
       _LineJoin.o \
       _Montage.o \
       _NoiseType.o \
       _OrientationType.o \
       _PaintMethod.o \
       _PathArcAbs.o \
       _PathArcArgs.o \
       _PathArcRel.o \
       _PathClosePath.o \
       _PathCurvetoAbs.o \
       _PathCurvetoArgs.o \
       _PathCurvetoRel.o \
       _PathLinetoAbs.o \
       _PathLinetoHorizontalAbs.o \
       _PathLinetoHorizontalRel.o \
       _PathLinetoRel.o \
       _PathLinetoVerticalAbs.o \
       _PathLinetoVerticalRel.o \
       _PathMovetoAbs.o \
       _PathMovetoRel.o \
       _PathQuadraticCurvetoAbs.o \
       _PathQuadraticCurvetoArgs.o \
       _PathQuadraticCurvetoRel.o \
       _PathSmoothCurvetoAbs.o \
       _PathSmoothCurvetoRel.o \
       _PathSmoothQuadraticCurvetoAbs.o \
       _PathSmoothQuadraticCurvetoRel.o \
       _Pixels.o \
       _QuantumOperator.o \
       _QuantumType.o \
       _RenderingIntent.o \
       _ResolutionType.o \
       _StorageType.o \
       _StretchType.o \
       _StyleType.o \
       _TypeMetric.o \
       _VPath.o \
       _gminfo.o \
       _main.o

.SUFFIXES: .cpp .o

$(SO): $(OBJS)
	g++ $(LIBS) -fPIC -shared -o $(SO) $^

.cpp.o:
	g++ $(FLAGS) $(INCS) -o $@ -c $<

clean:
	rm -rf $(OBJS) $(SO)

=== debian/changelog ===
python-pgmagick (0.3.6-1) unstable; urgency=low

  * New upstream release
  * copyright: DEP-5 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 20 Jun 2011 10:51:29 +0900

python-pgmagick (0.3.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2 (with no changes).
  * Swtch to dh_python2. (Closes: #625853) 

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 07 May 2011 10:57:58 +0900

python-pgmagick (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 05 Apr 2011 23:54:58 +0900

python-pgmagick (0.3.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/00_fix_makefile: removed 

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 04 Feb 2011 13:25:01 +0900

python-pgmagick (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #601047)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 15 Nov 2010 21:27:13 +0900

=== debian/control ===
Source: python-pgmagick
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	python-setuptools,
	python-all-dev,
	libgraphicsmagick++1-dev,
	libboost-python-dev
Standards-Version: 3.9.2
Homepage: http://bitbucket.org/hhatto/pgmagick
#Vcs-Git: git://git.debian.org/collab-maint/python-pgmagick.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pgmagick.git;a=summary

Package: python-pgmagick
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Yet Another Python wrapper for GraphicsMagick
 pgmagick is a yet another boost.python based Python wrapper for
 GraphicsMagick.

## python-pgmagick 0.4.2

=== Makefile ===
LIBS=-lboost_python -lGraphicsMagick++
SRC_DIR=src

all:
	cd $(SRC_DIR) && make
	cp -p src/*.so pgmagick/


TEST_DIR=test
.PHONY: test
test:
	cd $(TEST_DIR) && make

profile_pg:
	cd example && python -m cProfile -o test.cprof pgmagick_prof.py
	cd example && pyprof2html test.cprof && mv html html_pg && rm test.cprof

profile_im:
	cd example && python -m cProfile -o test.cprof pythonmagick_prof.py
	cd example && pyprof2html test.cprof && mv html html_im && rm test.cprof

profile_4:
	cd example && sh profile.sh

pypireg:
	python setup.py register
	python setup.py sdist upload

clean:
	rm -rf pgmagick.* build dist temp
	cd $(SRC_DIR) && make clean
	rm -rf pgmagick/_pgmagick.so
	rm -rf pgmagick/*.pyc

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
-FLAGS = -Wall
-INCS = -I/usr/include/python2.6 -I/usr/include/GraphicsMagick
+FLAGS = -Wall -DPGMAGICK_LIB_IMAGEMAGICK
+#FLAGS = -Wall
+INCS = -I/usr/include/python2.7 -I/usr/include/ImageMagick
+#INCS = -I/usr/include/python2.7 -I/usr/include/GraphicsMagick
 SO = _pgmagick.so
-LIBS = -lboost_python -lGraphicsMagick++
+LIBS = -lboost_python -lMagick++
+#LIBS = -lboost_python -lGraphicsMagick++
 OBJS = _Blob.o \
        _ChannelType.o \
        _Color.o \
@@ -10,6 +13,7 @@
        _CompressionType.o \
        _Coordinate.o \
        _DecorationType.o \
+       _DistortImageMethod.o \
        _Drawable.o \
        _DrawableAffine.o \
        _DrawableArc.o \
@@ -100,10 +104,13 @@
        _QuantumType.o \
        _RenderingIntent.o \
        _ResolutionType.o \
+       _SparseColorMethod.o \
        _StorageType.o \
        _StretchType.o \
        _StyleType.o \
+	   _STL.o \
        _TypeMetric.o \
+       _VirtualPixelMethod.o \
        _VPath.o \
        _gminfo.o \
        _main.o
@@ -111,10 +118,10 @@
 .SUFFIXES: .cpp .o
 
 $(SO): $(OBJS)
-	g++ $(LIBS) -fPIC -shared -o $(SO) $^
+	ccache g++ $(LIBS) -fPIC -shared -o $(SO) $^
 
 .cpp.o:
-	g++ $(FLAGS) $(INCS) -o $@ -c $<
+	ccache g++ $(FLAGS) $(INCS) -o $@ -c $<
 
 clean:
 	rm -rf $(OBJS) $(SO)

=== debian/changelog ===
python-pgmagick (0.4.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release
  * debian/control: Update description. (Closes: #638362)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 11:07:32 +0900

python-pgmagick (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 05 Aug 2011 11:19:40 +0900

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,12 @@
 	libboost-python-dev
 Standards-Version: 3.9.2
 Homepage: http://bitbucket.org/hhatto/pgmagick
-#Vcs-Git: git://git.debian.org/collab-maint/python-pgmagick.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pgmagick.git;a=summary
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pgmagick/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pgmagick/trunk/
 
 Package: python-pgmagick
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Description: Yet Another Python wrapper for GraphicsMagick
- pgmagick is a yet another boost.python based Python wrapper for
- GraphicsMagick. 
+ pgmagick is a boost.python based Python wrapper for GraphicsMagick.

## python-pgmagick 0.5.1

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,7 @@
-FLAGS = -Wall -DPGMAGICK_LIB_IMAGEMAGICK
-#FLAGS = -Wall
-INCS = -I/usr/include/python2.7 -I/usr/include/ImageMagick
-#INCS = -I/usr/include/python2.7 -I/usr/include/GraphicsMagick
+FLAGS = -Wall
+INCS = -I/usr/include/python2.6 -I/usr/include/GraphicsMagick
 SO = _pgmagick.so
-LIBS = -lboost_python -lMagick++
-#LIBS = -lboost_python -lGraphicsMagick++
+LIBS = -lboost_python -lGraphicsMagick++
 OBJS = _Blob.o \
        _ChannelType.o \
        _Color.o \
@@ -108,7 +105,7 @@
        _StorageType.o \
        _StretchType.o \
        _StyleType.o \
-	   _STL.o \
+       _STL.o \
        _TypeMetric.o \
        _VirtualPixelMethod.o \
        _VPath.o \
@@ -118,10 +115,10 @@
 .SUFFIXES: .cpp .o
 
 $(SO): $(OBJS)
-	ccache g++ $(LIBS) -fPIC -shared -o $(SO) $^
+	g++ $(LIBS) -fPIC -shared -o $(SO) $^
 
 .cpp.o:
-	ccache g++ $(FLAGS) $(INCS) -o $@ -c $<
+	g++ $(FLAGS) $(INCS) -o $@ -c $<
 
 clean:
 	rm -rf $(OBJS) $(SO)

=== debian/changelog ===
python-pgmagick (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.3.
    + Update debian/copyright URI. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 27 Feb 2012 09:51:07 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	python-all-dev,
 	libgraphicsmagick++1-dev,
 	libboost-python-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://bitbucket.org/hhatto/pgmagick
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pgmagick/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pgmagick/trunk/

## python-pgmagick 0.5.6

=== debian/changelog ===
python-pgmagick (0.5.6-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 08 May 2013 19:47:58 +0900

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	libboost-python-dev
 Standards-Version: 3.9.3
 Homepage: http://bitbucket.org/hhatto/pgmagick
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-pgmagick/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-pgmagick/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pgmagick/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pgmagick/trunk/
 
 Package: python-pgmagick
 Architecture: any

## python-pgmagick 0.5.7

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,9 @@
 	cd $(SRC_DIR) && make
 	cp -p src/*.so pgmagick/
 
+fastbuild:
+	cd $(SRC_DIR) && make CC="ccache g++"
+	cp -p src/*.so pgmagick/
 
 TEST_DIR=test
 .PHONY: test
@@ -31,3 +34,4 @@
 	cd $(SRC_DIR) && make clean
 	rm -rf pgmagick/_pgmagick.so
 	rm -rf pgmagick/*.pyc
+	rm -rf test/*.png test/*.jpg

=== debian/changelog ===
python-pgmagick (0.5.7-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Sep 2013 10:51:55 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	python-all-dev,
 	libgraphicsmagick++1-dev,
 	libboost-python-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bitbucket.org/hhatto/pgmagick
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pgmagick/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pgmagick/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# export DH_VERBOSE=1

%:
	dh $@ --buildsystem=python_distutils --with python2

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pgmagick/pgmagick-(.*)\.tar\.gz

## python-pgmagick 0.5.8

=== debian/changelog ===
python-pgmagick (0.5.8-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.6 

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 05 Nov 2014 10:23:52 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	python-all-dev,
 	libgraphicsmagick++1-dev,
 	libboost-python-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://bitbucket.org/hhatto/pgmagick
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-pgmagick/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-pgmagick/trunk/

## python-pgmagick 0.5.11

=== debian/changelog ===
python-pgmagick (0.5.11-1build2) wily; urgency=medium

  * No-change rebuild against libgraphicsmagick++11

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Aug 2015 23:01:08 +0000

python-pgmagick (0.5.11-1build1) wily; urgency=medium

  * No-change rebuild against libgraphicsmagick++11

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Aug 2015 22:05:37 +0000

python-pgmagick (0.5.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Use pypi.debian.net redirector.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Aug 2015 23:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pgmagick
 Section: python
 Priority: extra
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
 	python-setuptools,

## python-pgmagick 0.6

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
+CC = g++
 FLAGS = -Wall
-INCS = -I/usr/include/python2.6 -I/usr/include/GraphicsMagick
+INCS = -I/usr/include/python2.7 -I/usr/include/GraphicsMagick
 SO = _pgmagick.so
 LIBS = -lboost_python -lGraphicsMagick++
 OBJS = _Blob.o \
@@ -115,10 +116,10 @@
 .SUFFIXES: .cpp .o
 
 $(SO): $(OBJS)
-	g++ $(LIBS) -fPIC -shared -o $(SO) $^
+	$(CC) $(LIBS) -fPIC -shared -o $(SO) $^
 
 .cpp.o:
-	g++ $(FLAGS) $(INCS) -o $@ -c $<
+	$(CC) $(FLAGS) $(INCS) -o $@ -c $<
 
 clean:
 	rm -rf $(OBJS) $(SO)

=== debian/changelog ===
python-pgmagick (0.6-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:43:19 +0000

python-pgmagick (0.6-1) unstable; urgency=medium

  * Imported Upstream version 0.6
  * Support Python-3 (Closes: #782948)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Nov 2015 11:43:30 +0900

python-pgmagick (0.5.12-1) unstable; urgency=medium

  * Team upload.

  [ Sebastian Ramacher ]
  * New upstream release.
    - Fix build against graphicsmagick 1.3.22. (Closes: #804323)
  * debian/control: Add dh-python to B-D.

  [ SVN-Git Migration ]
  * Update Vcs fields for git migration.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Nov 2015 15:16:42 +0100

=== debian/control ===
Source: python-pgmagick
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	dh-python,
	python-setuptools,
	python3-setuptools,
	python-all-dev,
	python3-all-dev,
	libgraphicsmagick++1-dev,
	libboost-python-dev
Standards-Version: 3.9.6
Homepage: http://bitbucket.org/hhatto/pgmagick
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pgmagick.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pgmagick.git

Package: python-pgmagick
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Yet Another Python wrapper for GraphicsMagick
 pgmagick is a boost.python based Python wrapper for GraphicsMagick. 
 .
 This package for Python 2.

Package: python3-pgmagick
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Yet Another Python wrapper for GraphicsMagick
 pgmagick is a boost.python based Python wrapper for GraphicsMagick. 
 .
 This package for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# export DH_VERBOSE=1

export PYBUILD_NAME=pgmagick

%:
	dh $@ --buildsystem=pybuild --with python2,python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pgmagick/pgmagick-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pgmagick 0.6.2

=== debian/changelog ===
python-pgmagick (0.6.2-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:30:48 +0000

python-pgmagick (0.6.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

  [ W. Martin Borgert ]
  * New upstream release (Closes: #825926, apparently)
  * Dropped patch, replaced with debian/clean
  * New standards version, no change
  * Added myself to uploaders

 -- W. Martin Borgert <debacle@debian.org>  Mon, 04 Jul 2016 22:13:18 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: TANIGUCHI Takaki <takaki@debian.org>
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
+	W. Martin Borgert <debacle@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
 	dh-python,
 	python-setuptools,
@@ -11,9 +12,9 @@
 	python3-all-dev,
 	libgraphicsmagick++1-dev,
 	libboost-python-dev
-Standards-Version: 3.9.6
-Homepage: http://bitbucket.org/hhatto/pgmagick
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pgmagick.git
+Standards-Version: 3.9.8
+Homepage: https://bitbucket.org/hhatto/pgmagick
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pgmagick.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pgmagick.git
 
 Package: python-pgmagick

## python-pgmagick 0.6.4

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-CC = g++
+CC = ccache clang
 FLAGS = -Wall
-INCS = -I/usr/include/python2.7 -I/usr/include/GraphicsMagick
+INCS = -I/usr/local/Cellar/python/2.7.12_2/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/usr/local/include/GraphicsMagick
 SO = _pgmagick.so
 LIBS = -lboost_python -lGraphicsMagick++
 OBJS = _Blob.o \

=== debian/changelog ===
python-pgmagick (0.6.4-1) unstable; urgency=medium

  * New upstream release

 -- W. Martin Borgert <debacle@debian.org>  Sun, 22 Jan 2017 13:45:47 +0000

python-pgmagick (0.6.2-2) unstable; urgency=medium

  * Update upstream homepage
  * Use debhelper compat 9

 -- W. Martin Borgert <debacle@debian.org>  Sun, 25 Dec 2016 20:29:19 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
 	W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
 	dh-python,
 	python-setuptools,
 	python3-setuptools,
@@ -13,7 +13,7 @@
 	libgraphicsmagick++1-dev,
 	libboost-python-dev
 Standards-Version: 3.9.8
-Homepage: https://bitbucket.org/hhatto/pgmagick
+Homepage: https://pypi.python.org/pypi/pgmagick/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pgmagick.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pgmagick.git

## python-pgmagick 0.6.5

=== debian/changelog ===
python-pgmagick (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Bump Standards-Version to 4.0.0 (without changes).
  * debian/compat: Bump to 9

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 26 Jun 2017 21:06:19 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: python
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
-	W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>
+Build-Depends: debhelper (>= 7.0.50~),
 	dh-python,
 	python-setuptools,
 	python3-setuptools,
@@ -12,9 +11,9 @@
 	python3-all-dev,
 	libgraphicsmagick++1-dev,
 	libboost-python-dev
-Standards-Version: 3.9.8
-Homepage: https://pypi.python.org/pypi/pgmagick/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pgmagick.git
+Standards-Version: 4.0.0
+Homepage: http://bitbucket.org/hhatto/pgmagick
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pgmagick.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pgmagick.git
 
 Package: python-pgmagick

## python-pgmagick 0.7.2

=== debian/changelog ===
python-pgmagick (0.7.2-1) unstable; urgency=medium

  [ TANIGUCHI Takaki ]
  * New upstream version 0.7.2
    - Fix "Image.attribute does not set the attribute but instead appends
    to it" (Closes: #690942)
  * debian/compat: 11
  * Bump Standards-Vertion to 4.1.3
  * debian/rules: Change Priority extra to optional

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 04 Feb 2018 00:06:21 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-pgmagick
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
+	W. Martin Borgert <debacle@debian.org>
+Build-Depends: debhelper (>= 11),
 	dh-python,
 	python-setuptools,
 	python3-setuptools,
@@ -11,9 +12,9 @@
 	python3-all-dev,
 	libgraphicsmagick++1-dev,
 	libboost-python-dev
-Standards-Version: 4.0.0
-Homepage: http://bitbucket.org/hhatto/pgmagick
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pgmagick.git
+Standards-Version: 4.1.3
+Homepage: https://pypi.python.org/pypi/pgmagick/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pgmagick.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-pgmagick.git
 
 Package: python-pgmagick

## python-pgmagick 0.7.4

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,14 @@
 	python setup.py register
 	python setup.py sdist upload
 
+build_bdist_wheel:
+	# NOTE: only available in my environment
+	sh ~/.virtualenvs/py363/bin/activate
+	python setup.py bdist_wheel
+	sh ~/.virtualenvs/py2714/bin/activate
+	pip install --upgrade pip
+	python setup.py bdist_wheel
+
 clean:
 	rm -rf pgmagick.* build dist temp
 	cd $(SRC_DIR) && make clean

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
-CC = ccache clang
-FLAGS = -Wall
-INCS = -I/usr/local/Cellar/python/2.7.12_2/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/usr/local/include/GraphicsMagick
+CC = ccache clang++
+FLAGS = -Wall -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_24 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22
+INCS = -I/usr/include/python2.7 -I/usr/local/include/GraphicsMagick
 SO = _pgmagick.so
 LIBS = -lboost_python -lGraphicsMagick++
+#LINK_FLAGS = -fPIC -shared
+LINK_FLAGS = -bundle -undefined dynamic_lookup		# for macOS
 OBJS = _Blob.o \
        _ChannelType.o \
        _Color.o \
@@ -116,7 +118,7 @@
 .SUFFIXES: .cpp .o
 
 $(SO): $(OBJS)
-	$(CC) $(LIBS) -fPIC -shared -o $(SO) $^
+	$(CC) $(LIBS) $(LINK_FLAGS) -o $(SO) $^
 
 .cpp.o:
 	$(CC) $(FLAGS) $(INCS) -o $@ -c $<

=== debian/changelog ===
python-pgmagick (0.7.4-2) unstable; urgency=medium

  * Team upload
  * remove myself from uploaders

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * d/changelog: Remove trailing whitespaces

 -- W. Martin Borgert <debacle@debian.org>  Sun, 10 Feb 2019 18:00:18 +0000

python-pgmagick (0.7.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ TANIGUCHI Takaki ]
  * New upstream version 0.7.4.
  * Bump Standards-Version to 4.1.4.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 14 May 2018 21:58:51 +0900

=== debian/control ===
Source: python-pgmagick
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 11),
	dh-python,
	python-setuptools,
	python3-setuptools,
	python-all-dev,
	python3-all-dev,
	libgraphicsmagick++1-dev,
	libboost-python-dev
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://pypi.python.org/pypi/pgmagick/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pgmagick.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pgmagick

Package: python-pgmagick
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Yet Another Python wrapper for GraphicsMagick
 pgmagick is a boost.python based Python wrapper for GraphicsMagick.
 .
 This package for Python 2.

Package: python3-pgmagick
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Yet Another Python wrapper for GraphicsMagick
 pgmagick is a boost.python based Python wrapper for GraphicsMagick.
 .
 This package for Python 3.

## python-pgmagick 0.7.5

=== Makefile ===
--- 
+++ 
@@ -31,9 +31,9 @@
 
 build_bdist_wheel:
 	# NOTE: only available in my environment
-	sh ~/.virtualenvs/py363/bin/activate
+	workon py363
 	python setup.py bdist_wheel
-	sh ~/.virtualenvs/py2714/bin/activate
+	workon py2714
 	pip install --upgrade pip
 	python setup.py bdist_wheel

=== src/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-CC = ccache clang++
-FLAGS = -Wall -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_24 -DPGMAGICK_LIB_GRAPHICSMAGICK_1_3_22
-INCS = -I/usr/include/python2.7 -I/usr/local/include/GraphicsMagick
+CC = g++
+FLAGS = -Wall
+INCS = -I/usr/include/python2.7 -I/usr/include/GraphicsMagick
 SO = _pgmagick.so
 LIBS = -lboost_python -lGraphicsMagick++
-#LINK_FLAGS = -fPIC -shared
-LINK_FLAGS = -bundle -undefined dynamic_lookup		# for macOS
+LINK_FLAGS = -fPIC -shared
+#LINK_FLAGS = -bundle -undefined dynamic_lookup		# for macOS
 OBJS = _Blob.o \
        _ChannelType.o \
        _Color.o \

=== debian/changelog ===
python-pgmagick (0.7.5-1) unstable; urgency=medium

  * d/gbp.conf: adjust branch structure
  * New upstream version 0.7.5
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.1.5, no changes needed.
  * d/salsa-ci.yml: Add a CI config file.
  * Bump Standards-Version to 4.5.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 11 Feb 2020 11:40:00 +0900

python-pgmagick (0.7.4-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 24 Aug 2019 23:07:28 +0200

=== debian/control ===
Source: python-pgmagick
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12),
	dh-python,
	python3-setuptools,
	python3-all-dev,
	libgraphicsmagick++1-dev,
	libboost-python-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://pypi.python.org/pypi/pgmagick/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pgmagick.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pgmagick

Package: python3-pgmagick
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Yet Another Python wrapper for GraphicsMagick
 pgmagick is a boost.python based Python wrapper for GraphicsMagick.
 .
 This package for Python 3.

## python-pgmagick 0.7.6

=== debian/changelog ===
python-pgmagick (0.7.6-1build13) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:50:29 +0000

python-pgmagick (0.7.6-1build12) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:06:33 +0200

python-pgmagick (0.7.6-1build11) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:56:11 +0200

python-pgmagick (0.7.6-1build10) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:07:59 +0000

python-pgmagick (0.7.6-1build9) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:30:09 +0100

python-pgmagick (0.7.6-1build8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:19:48 +1100

python-pgmagick (0.7.6-1build7) noble; urgency=high

  * No change rebuild against libgraphicsmagick++-q16-12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:50:59 +0100

python-pgmagick (0.7.6-1build6) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:55:24 +0100

python-pgmagick (0.7.6-1build5) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:27:06 +0100

python-pgmagick (0.7.6-1build4) lunar; urgency=medium

  * Rebuild to drop Python 3.10 library

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Feb 2023 20:05:22 -0500

python-pgmagick (0.7.6-1build3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 11:04:36 +0000

python-pgmagick (0.7.6-1build2) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 13:20:18 +0000

python-pgmagick (0.7.6-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:59:59 +0000

python-pgmagick (0.7.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ TANIGUCHI Takaki ]
  * New upstream version 0.7.6
  * Bump Standards-Version to 4.6.0
  * Bump debian-compat to 13
  * d/control: update Homepage URL

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 11 Sep 2021 22:53:20 +0900

=== debian/control ===
Source: python-pgmagick
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-setuptools,
	python3-all-dev,
	libgraphicsmagick++1-dev,
	libboost-python-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/hhatto/pgmagick
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pgmagick.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pgmagick

Package: python3-pgmagick
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Yet Another Python wrapper for GraphicsMagick
 pgmagick is a boost.python based Python wrapper for GraphicsMagick.
 .
 This package for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# export DH_VERBOSE=1

export PYBUILD_NAME=pgmagick

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pgmagick/pgmagick-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
